.banner-height{
    height: 230px;
}
.flex-container-conectores{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.action-gap{
    gap: 0px;
}
/**/
/* CONTENEDOR GENERAL */
.sidebar {
    width: 30%;

}

/* ------------------------------ */
/* BUSCAR */
/* ------------------------------ */
.buscador-searh  {
    background-color: #f9f9f9;
    padding: 20px 20px;
}
.buscador-searh h3 {
    font-size: 24px;
    margin-bottom: 10px;
    color: var(--Color-text);
    font-weight:600;
}

.search-buscador {

    border-radius: 6px;
    padding: 6px;
    display: flex;
    align-items: center;
    gap: 8px;
    position: relative;
}

.search-buscador input {
    border: none;
    outline: none;
    width: 100%;
    padding: 15px 10px;
    font-size: 18px;
    color: var( --Color-text);
}


.no-products {
    grid-column: 1 / -1;
    text-align: center;
    padding: 40px;
    font-size: 18px;
    color: #666;
}

.search-buscador button {
    position: absolute;
    right: 12px;
    width: 40px;
    height: 40px;
    background: #0B63B3;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    color: white;
}

/* ------------------------------ */
/* CATEGORÍAS */
/* ------------------------------ */

.categoria-box {
    margin-top: 25px;
    background: #f9f9f9;
    border-radius: 8px;
    padding: 20px;
}

.categoria-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

.categoria-header h3 {
    font-size: 24px;
    color: var(--Color-text);
    margin: 0;
    font-weight:600;
}

.arrow-main {
    display: none; /* solo mobile */
    transition: .3s;
}

/* Lista */
.categoria-list {
    margin-top: 15px;
}

.categoria-row {
    display: flex;
    justify-content: space-between;
    padding: 12px 0;
    font-size: 16px;
    color: #222;
    cursor: pointer;
    transition: all ease .3s;
}
.categoria-row:hover{
    color: var(--AzulClaro);
}
.categoria-row span{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--ColorWhite);
    font-size: 13px;
}

.categoria-row.active {
    color: var(--AzulClaro);
    /*font-weight: 700;*/
}

/* ------------------------------ */
/* SUBMENÚ */
/* ------------------------------ */

.submenu-padre {
    position: relative;
    padding-right: 30px;
}

.arrow-sub {
    position: absolute;
    right: 0;
    top: 14px;
    transition: .3s;
    font-size: 12px;
}

.submenu-list {
    display: none;
    padding-left: 10px;
    margin-top: 10px;
}

.submenu-list a {
    display: block;
    padding: 6px 0;
    color: var(--plomo-oscuro);
    text-decoration: none;
}

.submenu-padre.open .submenu-list {
    display: block;
}

.submenu-padre.open .arrow-sub {
    transform: rotate(90deg);
}

/**/

.flex-contenedor{
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 70%;
}

.flex-titulo-cantid-conectores{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 15px;
}
.cantidad-producto{
    display: flex;
    gap: 10px;
    align-items: center;
}

.cantidad-producto .numero{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #fafafa;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    font-family: var(--font-poppins);
    font-weight: 500;
}
.cantidad-producto .conector-prod{
    color: var(--AzulFuerte);
    font-family: var(--font-poppins);
    font-size: 18px;
    font-weight: 400;

}

.container-conector-flex{
    display: flex;
    justify-content:center;
    gap: 20px;
    flex-wrap: wrap;
    padding: 20px 0px;
}

/* Contenedor de video de YouTube */
.youtube-video-container {
    margin-top: 30px;
    padding: 20px 0;
}


.container-text-detalle ul li, .container-text-detalle ol li, .contenaider-details ul li, .contenaider-details ol li{
    margin-left:30px;list-style: disc;
}

.video-wrapper {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; /* Relación 16:9 */
    height: 0;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 8px;
}

/* Responsive */
@media (max-width: 768px) {
    .youtube-video-container {
        margin-top: 20px;
        padding: 15px 0;
    }

    .youtube-video-container h3 {
        font-size: 16px;
    }
}


/*CONECTORES*/
.conectores{
    overflow: hidden;
    width: 280px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.conectores .no-gap{ /*LQ QUITAMOS EL GAP QUE TENIA PARA QUE LE BUTTON TOME EL 100% DEL CONTENEDOR*/
    gap: 0px;
}

.container-img-conector{
    background-color: #fafafa;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 200px;
    height: auto;
    overflow: hidden;
    position: relative;
}
.container-img-conector img{
    width: 100%;
    height: auto;
    object-fit: cover;
    overflow: hidden;
    transition: all ease .3s;
}

.conectores:hover .container-img-conector img{
    transform: scale(1.1);
}

.title-conector {
    position: relative;
    font-size: 24px;
    font-weight: 500;
    padding-left: 50px; /* espacio para la línea */
    font-family: var(--font-poppins);
    color: var(--AzulFuerte);
}

/* Línea a la izquierda centrada */
.title-conector::before {
    content: "";
    position: absolute;
    left: 0;           /* pegado a la izquierda */
    top: 50%;          /* centro vertical */
    transform: translateY(-50%);
    width: 45px;       /* largo de la línea */
    height: 2px;       /* grosor */
    background: #0B63B3; /* tu color azul o el que quieras */
    border-radius: 2px;
}


.container-content .container-name{
    font-family: var(--font-poppins);
     font-size: 17.5px;
    padding: 10px 0px;
    color: var(--Color-parrafo);
    padding-top: 16px;min-height: 70px;
    font-weight: 500;
    line-height: 1.2;
}


/* ------------------------------ */
/* RESPONSIVE — MENOS DE 900 PX */
/* ------------------------------ */

@media (max-width: 900px) {

    .sidebar {
        width: 100%;
    }

    .arrow-main {
        display: block;
    }

    .categoria-list {
        max-height: 0;
        overflow: hidden;
        display: none;
        transition: max-height .3s ease;
    }

    .categoria-box.open .categoria-list {
        max-height: 300px;
        overflow: scroll;
        display: block;
    }

    .categoria-box.open .arrow-main {
        transform: rotate(180deg);
    }

    .flex-container-conectores{
        flex-direction: column;
        gap: 30px;
    }
    .flex-contenedor{
        width: 100%;
    }
}

@media (max-width: 600px) {
 .conectores{
    width: 80%;
 }
}
